﻿using System;
using System.Drawing;
using System.Windows.Forms;

public class Form1 : System.Windows.Forms.Form
{ public const Int32 nCheckBoxes = 11, nTrackBars = 3, nRadioButtons = 5;
  public CheckBox[] checkbox = new CheckBox[nCheckBoxes];
  public TrackBar[] trackbar = new TrackBar[nTrackBars];
  public RadioButton[] radiobutton = new RadioButton[nRadioButtons];
  Label[] label = new Label[nTrackBars];

  public Form1()
  { StartPosition = FormStartPosition.Manual;
    BackColor = Color.White;
    for ( int i = 0; i < nCheckBoxes; i++ )
    { checkbox[i] = new CheckBox(); Controls.Add( checkbox[i] );
      checkbox[i].TextAlign = ContentAlignment.MiddleCenter;
    }
    checkbox[ 0].Text = "Left";
    checkbox[ 1].Text = "Right";
    checkbox[ 2].Text = "Up";
    checkbox[ 3].Text = "Down";
    checkbox[ 4].Text = "A";
    checkbox[ 5].Text = "B";
    checkbox[ 6].Text = "-";
    checkbox[ 7].Text = "+";
    checkbox[ 8].Text = "Home";
    checkbox[ 9].Text = "1";
    checkbox[10].Text = "2";
    for ( int i = 0; i < nTrackBars; i++ )
    { trackbar[i] = new TrackBar(); Controls.Add( trackbar[i] );
      label[i] = new Label(); Controls.Add( label[i] );
      trackbar[i].AutoSize = false;
      trackbar[i].TickStyle = TickStyle.None;
      trackbar[i].Minimum = -50;
      trackbar[i].Maximum = 50;
      label[i].TextAlign = ContentAlignment.TopCenter;
    }
    label[0].Text = "X-Acceleration";
    label[1].Text = "Y-Acceleration";
    label[2].Text = "Z-Acceleration";
    for ( int i = 0; i < nRadioButtons; i++ )
    { radiobutton[i] = new RadioButton(); Controls.Add( radiobutton[i] );
      //A common EventHandler "OnRadioButtonCheckedChanged(...)" 
      //is already defined and connected in Game1.cs
    }
    radiobutton[0].Text = "Click = LED 1";
    radiobutton[1].Text = "Click = LED 2";
    radiobutton[2].Text = "Click = LED 3";
    radiobutton[3].Text = "Click = LED 4";
    radiobutton[4].Text = "Click = Rumble";
    foreach (Control c in Controls) c.BackColor = Color.Gray;
  }
  protected override void OnResize( EventArgs e )
  { Int32 w = ClientRectangle.Width;
    Int32 h = ClientRectangle.Height / Controls.Count;
    Int32 top = 1;
    for ( int i = 0; i < Controls.Count; i++ )
    { Controls[i].Top    = top;
      Controls[i].Left   = 2;
      Controls[i].Width  = w;
      Controls[i].Height = h - 2;
      top += h;
    }
    for ( int i = 0; i < nTrackBars; i++ ) trackbar[i].Height = h;
  }
}